<script setup lang="ts">
import { usePromotionStore } from '@/stores/Promotion'
import { useMemberStore } from '@/stores/member'
import { useReceiptStore } from '@/stores/receipt'

const receiptStore = useReceiptStore()
const memberStore = useMemberStore()
const promotionStore = usePromotionStore()
</script>
<template>
  <v-card
    min-width="300"
    max-width="800"
    min-height="200"
    elevation="3"
    color="rgba(180, 143, 81, 1)"
    class="rounded-sheet overflow: hidden"
  >
    <v-sheet
      class="pl-4 py-2 mt-0 text-subtitle-2"
      rounded="lg"
      elevation="2"
      min-height="30"
      width="auto"
      color="rgba(114, 87, 42, 1)"
    >
      <v-row>
        <v-col cols="4" class="pe-4 text-body-2" lg="4" md="12">
          Name: {{ memberStore.currentMember ? memberStore.currentMember?.name : '"not found"' }}
        </v-col>

        <v-col cols="3" class="pe-2 text-body-2" lg="2" md="12">
          Point: {{ memberStore.currentMember ? memberStore.currentMember?.point : '-' }}
        </v-col>

        <!-- Add vertical divider between sections -->
        <v-divider vertical height="40"></v-divider>

        <v-col cols="5" class="pe-4 text-body-2" lg="5" md="12">
          Promotion Name:
          {{ promotionStore.currentPromotion ? promotionStore.currentPromotion.name : '-' }}
        </v-col>
      </v-row>
    </v-sheet>

    <v-container class="text-body-2">
      <!-- no-gutters is no space between row -->
      <v-row no-gutters>
        <v-col cols="6">ยอดก่อนหัก</v-col
        ><v-col cols="6">{{ receiptStore.receipt?.totalBefore }}</v-col>
        <v-col cols="6">ส่วนลดสมาชิค</v-col
        ><v-col cols="6">{{ receiptStore.receipt?.memberDiscount }}</v-col>
        <v-col cols="6">ส่วนลดโปรโมชั่น</v-col
        ><v-col cols="6">{{ receiptStore.receipt?.promotionDiscount }}</v-col>
        <v-col cols="6">ส่วนลดรวม</v-col
        ><v-col cols="6">{{ receiptStore.receipt?.totalDiscount }}</v-col>
        <v-divider></v-divider>
        <v-col cols="6" class="text-h6 mt-2">ยอดรวม</v-col
        ><v-col cols="6" class="text-h6 mt-2">{{ receiptStore.receipt?.total }}</v-col></v-row
      >
    </v-container>
  </v-card>
</template>

<style scoped>
.rounded-sheet {
  border-radius: 12px;
  /* ปรับความมนของv-sheet นะครับ*/
  overflow: hidden;
}
</style>
